Bug 436279 - Unable to connect to HAL to list CDROM volumes
Unable to connect to HAL to list CDROM volumes
Status: CLOSED DUPLICATE of bug 436276
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: virt-manager (Show other bugs)
5.2
All Linux
low Severity low
: rc
: ---
Assigned To: Daniel Berrange
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-06 05:53 EST by Alexander Todorov
Modified: 2009-12-14 16:16 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-11 11:40:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexander Todorov 2008-03-06 05:53:24 EST
Description of problem:
runnin gvirt-manager and trying to create a pv guest I see this in virt-manager.log

[Thu, 06 Mar 2008 05:49:53 virt-manager 5708] ERROR (opticalhelper:39) Unable to
connect to HAL to list cdrom volumes: 'A security policy in place prevents this
sender from sending this message to this recipient, see message bus
configuration file (rejected message had interface "(unset)" member
"GetPropertyBoolean" error name "(unset)" destination "org.freedesktop.Hal")'
[Thu, 06 Mar 2008 05:49:53 virt-manager 5708] ERROR (create:145) Unable to
create optical-helper widget: 'A security policy in place prevents this sender
from sending this message to this recipient, see message bus configuration file
(rejected message had interface "(unset)" member "GetPropertyBoolean" error name
"(unset)" destination "org.freedesktop.Hal")'



Version-Release number of selected component (if applicable):
virt-manager-0.5.3-2.el5

How reproducible:
100%

Steps to Reproduce:
1. Start virt-manager
2. Click "New" to create a new guest
3. The error appears in virt-manager.log after clicking New.
  
Actual results:
Error in log file

Expected results:
No errors

Additional info:
SELinux is in Permissive mode.
Comment 1 Cole Robinson 2008-03-10 14:36:27 EDT
I think this may be fixed by the dbus patch that Dan took care of for bug
436276. Can you see if this is still an issue with virt-manager-0.5.3-3.el5 or
later?
Comment 2 Alexander Todorov 2008-03-11 05:56:21 EDT
Not seeing this error with:
virt-manager-0.5.3-4.el5
Comment 3 Cole Robinson 2008-03-11 11:40:12 EDT
I'll just close this as a DUP then. Thanks!

*** This bug has been marked as a duplicate of 436276 ***

Note You need to log in before you can comment on or make changes to this bug.